[pacman-dev,8/8] grouping requires semicolons

Message ID 20181105132710.21600-1-quequotion@bugmenot.com
State Superseded, archived
Headers show
Series None | expand

Commit Message

Que Quotion Nov. 5, 2018, 1:27 p.m. UTC
From: Que Quotion <quequotion@gmail.com>

Signed-off-by: Que Quotion <quequotion@gmail.com>
---
 scripts/libmakepkg/executable/gpg.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Allan McRae Nov. 14, 2018, 3:19 a.m. UTC | #1
On 5/11/18 11:27 pm, Que Quotion wrote:
> From: Que Quotion <quequotion@gmail.com>
> 

^ this is where context goes.   It will help me to understand why this
patch is needed.

> Signed-off-by: Que Quotion <quequotion@gmail.com>
> ---
>  scripts/libmakepkg/executable/gpg.sh.in | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/scripts/libmakepkg/executable/gpg.sh.in b/scripts/libmakepkg/executable/gpg.sh.in
> index f53f186d..8b6b8aa2 100644
> --- a/scripts/libmakepkg/executable/gpg.sh.in
> +++ b/scripts/libmakepkg/executable/gpg.sh.in
> @@ -28,8 +28,8 @@ source "$LIBRARY/util/option.sh"
>  executable_functions+=('executable_gpg')
>  
>  executable_gpg() {
> -	if { [[ $SIGNPKG == 'y' ]] || { [[ -z $SIGNPKG ]] && check_buildenv "sign" "y"; } } || \
> -       { (( ! SKIPPGPCHECK )) && source_has_signatures }; then
> +	if { [[ $SIGNPKG == 'y' ]] || { [[ -z $SIGNPKG ]] && check_buildenv "sign" "y"; }; } || \
> +       { (( ! SKIPPGPCHECK )) && source_has_signatures; }; then
>  		if ! type -p gpg >/dev/null; then
>  			error "$(gettext "Cannot find the %s binary required for signing packages.")" "gpg"
>  			ret=1
>

Patch

diff --git a/scripts/libmakepkg/executable/gpg.sh.in b/scripts/libmakepkg/executable/gpg.sh.in
index f53f186d..8b6b8aa2 100644
--- a/scripts/libmakepkg/executable/gpg.sh.in
+++ b/scripts/libmakepkg/executable/gpg.sh.in
@@ -28,8 +28,8 @@  source "$LIBRARY/util/option.sh"
 executable_functions+=('executable_gpg')
 
 executable_gpg() {
-	if { [[ $SIGNPKG == 'y' ]] || { [[ -z $SIGNPKG ]] && check_buildenv "sign" "y"; } } || \
-       { (( ! SKIPPGPCHECK )) && source_has_signatures }; then
+	if { [[ $SIGNPKG == 'y' ]] || { [[ -z $SIGNPKG ]] && check_buildenv "sign" "y"; }; } || \
+       { (( ! SKIPPGPCHECK )) && source_has_signatures; }; then
 		if ! type -p gpg >/dev/null; then
 			error "$(gettext "Cannot find the %s binary required for signing packages.")" "gpg"
 			ret=1